Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	KTraffic Analyzer - A network traffic analyzer.
Name:		KTrafficAnalyzer
Version:	0.3.3
Release:	1
License:	GNU/GPL
URL:		http://www.suselinuxsupport.de
Group:		System/Utilities
Source0:	22134-%{name}_%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:  glibc-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel


%description
KTrafficAnalyzer is meant to provide visual feedback of your
current network traffic, similar to tools like DU-Meter.
In addition it provides statistics with total down- and upload sums.

%prep
%setup -n %{name}_%{version}

%build
export KDEDIR=%_kdedir
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_kdebindir,%_kdedir/share/applications/kde}
install -m 755 KTrafficAnalyzer $RPM_BUILD_ROOT%_kdebindir
cp %{SOURCE1} $RPM_BUILD_ROOT%_kdedir/share/applications/kde
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_kdedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.3-1
- Version Update
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.3.1-2
- added kde menue entry
* Sat Nov 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1-1
- Initial Release
